[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

r980 - in glibc-package/trunk/debian: . patches



Author: gotom
Date: 2005-07-29 08:47:43 +0000 (Fri, 29 Jul 2005)
New Revision: 980

Added:
   glibc-package/trunk/debian/patches/glibc235-gcc4-alpha-profile.dpatch
Modified:
   glibc-package/trunk/debian/changelog
   glibc-package/trunk/debian/patches/00list
Log:
      - debian/patches/glibc235-gcc4-alpha-profile.dpatch: New file, fix
        alpha compilation breakage by removing strong_alias.



Modified: glibc-package/trunk/debian/changelog
===================================================================
--- glibc-package/trunk/debian/changelog	2005-07-29 08:46:05 UTC (rev 979)
+++ glibc-package/trunk/debian/changelog	2005-07-29 08:47:43 UTC (rev 980)
@@ -18,6 +18,8 @@
       - debian/patches/glibc235-gcc4-s390-inline.dpatch: New file, fix s390
         compilation breakage by changing static inline to auto inline for
         dl-machine.h.
+      - debian/patches/glibc235-gcc4-alpha-profile.dpatch: New file, fix
+        alpha compilation breakage by removing strong_alias.
       - debian/sysdeps/alpha.mk: Disabled TLS for static linked executables.
 
     * To make glibc-2.3.5 buildable with gcc-3.4:

Modified: glibc-package/trunk/debian/patches/00list
===================================================================
--- glibc-package/trunk/debian/patches/00list	2005-07-29 08:46:05 UTC (rev 979)
+++ glibc-package/trunk/debian/patches/00list	2005-07-29 08:47:43 UTC (rev 980)
@@ -77,3 +77,4 @@
 glibc235-hppa-lt
 glibc235-hppa-sysdeps
 glibc235-gcc4-s390-inline
+glibc235-gcc4-alpha-profile

Added: glibc-package/trunk/debian/patches/glibc235-gcc4-alpha-profile.dpatch
===================================================================
--- glibc-package/trunk/debian/patches/glibc235-gcc4-alpha-profile.dpatch	2005-07-29 08:46:05 UTC (rev 979)
+++ glibc-package/trunk/debian/patches/glibc235-gcc4-alpha-profile.dpatch	2005-07-29 08:47:43 UTC (rev 980)
@@ -0,0 +1,44 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: Make glibc-2.3.5 compile with gcc-4.0 on ia64 fixed by
+#		   removing strong_alias.
+# DP: Related bugs: 
+# DP: Dpatch author: GOTO Masanori <gotom@debian.org>
+# DP: Patch author: GOTO Masanori <gotom@debian.org>
+# DP: Upstream status: In CVS
+# DP: Status Details: 
+# DP: Date: 2005-07-27
+
+PATCHLEVEL=0
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p$PATCHLEVEL < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p$PATCHLEVEL < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+# append the patch here and adjust the -p? flag in the patch calls.
+2005-07-16  GOTO Masanori  <gotom@debian.org>
+
+	* sysdeps/alpha/dl-machine.h: Remove strong_alias.
+
+--- sysdeps/alpha/dl-machine.h.gotom	2005-07-28 14:14:51.803668403 +0900
++++ sysdeps/alpha/dl-machine.h	2005-07-28 14:15:11.440036959 +0900
+@@ -289,8 +289,7 @@ elf_machine_runtime_setup (struct link_m
+   TRAMPOLINE_TEMPLATE (_dl_runtime_profile, profile_fixup, /* nop */);
+ #else
+ #define ELF_MACHINE_RUNTIME_TRAMPOLINE				\
+-  TRAMPOLINE_TEMPLATE (_dl_runtime_resolve, fixup, imb);	\
+-  strong_alias (_dl_runtime_resolve, _dl_runtime_profile);
++  TRAMPOLINE_TEMPLATE (_dl_runtime_resolve, fixup, imb);
+ #endif
+ 
+ /* Initial entry point code for the dynamic linker.



Reply to: